io.vertx.pgclient.spi

## Class PgDriver

- java.lang.Object
- - io.vertx.pgclient.spi.PgDriver

- All Implemented Interfaces:
    Driver

      public class PgDriver
      extends Object
      implements Driver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgDriver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsOptions(SqlConnectOptions options)`
    `Pool` | `createPool(SqlConnectOptions options, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `Pool` | `createPool(Vertx vertx, SqlConnectOptions options, PoolOptions poolOptions)` Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.sqlclient.spi.Driver

      `createPool`

- - ### Constructor Detail

    - #### PgDriver

          public PgDriver()

  - ### Method Detail

    - #### createPool

          public Pool createPool(SqlConnectOptions options,
                                 PoolOptions poolOptions)

      Description copied from interface: `Driver`
      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Specified by:
        `createPool` in interface `Driver`
      Parameters:
        `options` - the options used to create the connection pool, such as database hostname
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### createPool

          public Pool createPool(Vertx vertx,
                                 SqlConnectOptions options,
                                 PoolOptions poolOptions)

      Description copied from interface: `Driver`
      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
      Specified by:
        `createPool` in interface `Driver`
      Parameters:
        `vertx` - the Vertx instance to be used with the connection pool
        `options` - the options used to create the connection pool, such as database hostname
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### acceptsOptions

          public boolean acceptsOptions(SqlConnectOptions options)

      Specified by:
        `acceptsOptions` in interface `Driver`
      Returns:
        true if the driver accepts the `connectOptions`, false otherwise

Copyright © 2021 Eclipse. All rights reserved.